Bug 2127804 (CVE-2022-3172) - CVE-2022-3172 kube-apiserver: Aggregated API server can cause clients to be redirected (SSRF)
Summary: CVE-2022-3172 kube-apiserver: Aggregated API server can cause clients to be r...
Keywords:
Status: NEW
Alias: CVE-2022-3172
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2127805 2127806
Blocks: 2127807
TreeView+ depends on / blocked
 
Reported: 2022-09-19 05:30 UTC by Avinash Hanwate
Modified: 2022-11-22 20:30 UTC (History)
9 users (show)

Fixed In Version: kube-apiserver 1.25.1, kube-apiserver 1.24.5, kube-apiserver 1.23.11, kube-apiserver 1.22.14
Doc Type: If docs needed, set a value
Doc Text:
A security issue was discovered in kube-apiserver that allows an aggregated API server to redirect client traffic to any URL. This issue leads to the client performing unexpected actions and forwarding the client's API server credentials to third parties.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Avinash Hanwate 2022-09-19 05:30:41 UTC
A security issue was discovered in kube-apiserver that allows an aggregated API server to redirect client traffic to any URL. This could lead to the
client performing unexpected actions as well as forwarding the client's API server credentials to third parties.

ref: https://github.com/kubernetes/kubernetes/issues/112513

Comment 1 Avinash Hanwate 2022-09-19 05:31:09 UTC
Created golang-k8s-kube-aggregator tracking bugs for this issue:

Affects: fedora-all [bug 2127805]


Created origin tracking bugs for this issue:

Affects: fedora-all [bug 2127806]


Note You need to log in before you can comment on or make changes to this bug.